| optoICC

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | Protected Attributes | List of all members
optoICCSdk.registers.icc_registers.ICCAnalogInput Class Reference
Inheritance diagram for optoICCSdk.registers.icc_registers.ICCAnalogInput:

## Public Member Functions
def | __init__ (self, int channel=0, board=None)
def | SetVoltages_LUT (self, voltage)
| Sets voltages values into lookup table.
def | GetVoltages_LUT (self)
| Gets voltages values stored in lookup table.
def | SetValues_LUT (self, value)
| Sets values (current[A] or focal power[dpt]) into lookup table.
def | GetValues_LUT (self)
| Gets values (current[A] or focal power[dpt]) stored in lookup table.
def | SetCalCoefEnable (self, value)
| Enables/disables calibrated input, 0 = disabled, 1 = enabled.
def | SetUnitType_LUT (self, value)
| Sets unit type of the values stored in lookup table, 0 = current, 1 = focal power.
def | GetUnitType_LUT (self)
| Gets unit type of the values stored in lookup table, 0 = current, 1 = focal power.
def | SetExtrapolationType (self, value)
| Sets extrapolation type, 0 = constant, 1 = linear.
def | GetActiveUnitType (self)
| Gets unit type determined by active control stage system.

## Static Public Member Functions
def | help ()

## Public Attributes
| sys_id
| adc_value
| unit
| minimum_current
| maximum_current
| minimum_dpt
| maximum_dpt
| cal_coef_enable
| unit_LUT
| extrapolation_type_LUT
| LUT_size
| LUT_voltages
| LUT_values
| name

## Protected Attributes
| _unitranges

## Detailed Description

        Input Channel Systems - Analog Input
        System ID: 0x58 through 0x5f

        +-------------------+------+-------------+--------------------+-------------+---------+------------------------+
        | Register Name     | Id   | Type        | Unit               | Range       | Default | Comment                |
        +===================+======+=============+====================+=============+=========+========================+
        | ADC raw value     |0x01  | uint 32-bit | Volt               |0            | 0       | Converted ADC raw value|
        +-------------------+------+-------------+--------------------+-------------+---------+------------------------+
        | Active input type |0x01  | uint 32-bit | UnitType           |0            | 0       | Read only              |
        +-------------------+------+-------------+--------------------+-------------+---------+------------------------+
        | Minimum Current   |0x02  | float 32-bit| Volt               |             | 0       |                        |
        +-------------------+------+-------------+--------------------+-------------+---------+------------------------+
        | Maximum Current   |0x03  | float 32-bit| Volt               |             | 0       |                        |
        +-------------------+------+-------------+--------------------+-------------+---------+------------------------+
        | Minimum Diopter   |0x04  | float 32-bit| Dpt                |             | 0       |                        |
        +-------------------+------+-------------+--------------------+-------------+---------+------------------------+
        | Maximum Diopter   |0x05  | float 32-bit| Dpt                |             | 0       |                        |
        +-------------------+------+-------------+--------------------+-------------+---------+------------------------+
        | Cal coef enable   |0x06  | uint 32-bit | None               |             | 0       | Enable calibrated input|
        +-------------------+------+-------------+--------------------+-------------+---------+------------------------+
        | Analog input type |0x07  | uint 32-bit | A | Dpt            |             | 0       | LUT Unit type          |
        +-------------------+------+-------------+--------------------+-------------+---------+------------------------+
        | Extrapolation type|0x08  | uint 32-bit | None               |             | 0       | constant=0 or linear=1 |
        +-------------------+------+-------------+--------------------+-------------+---------+------------------------+

        registers table 1:

        +--------------------------------+---------------+-------------------------+-----------------------------------+
        | Analogue Input Unit            | Default       | Description             | Format and value                  |
        +================================+===============+=========================+===================================+
        | voltages -> LUT table values   | 0             | 1.voltage               | max 10 * float                    |
        +--------------------------------+---------------+-------------------------+-----------------------------------+
        | current/dpt -> LUT table values| 0             | 2.value(current/FP)     | max 10 & same as voltages * float |
        +--------------------------------+---------------+-------------------------+-----------------------------------+
        | Analog input cal.coefficients  | {0,1,0,0,0,0} | 5th grade polynomial    |    6 * float (24 bytes)           |
        +--------------------------------+---------------+-------------------------+-----------------------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

def optoICCSdk.registers.icc_registers.ICCAnalogInput.__init__ | ( |  | self,
|  | int | channel = `0`,
|  |  | board = `None`
| ) |  |

## Member Function Documentation

## ◆ help()

def optoICCSdk.registers.icc_registers.ICCAnalogInput.help | ( |  | ) |
| static

## ◆ SetVoltages_LUT()

def optoICCSdk.registers.icc_registers.ICCAnalogInput.SetVoltages_LUT | ( |  | self,
|  |  | voltage
| ) |  |

Sets voltages values into lookup table.

## ◆ GetVoltages_LUT()

def optoICCSdk.registers.icc_registers.ICCAnalogInput.GetVoltages_LUT | ( |  | self | ) |

Gets voltages values stored in lookup table.

## ◆ SetValues_LUT()

def optoICCSdk.registers.icc_registers.ICCAnalogInput.SetValues_LUT | ( |  | self,
|  |  | value
| ) |  |

Sets values (current[A] or focal power[dpt]) into lookup table.

## ◆ GetValues_LUT()

def optoICCSdk.registers.icc_registers.ICCAnalogInput.GetValues_LUT | ( |  | self | ) |

Gets values (current[A] or focal power[dpt]) stored in lookup table.

## ◆ SetCalCoefEnable()

def optoICCSdk.registers.icc_registers.ICCAnalogInput.SetCalCoefEnable | ( |  | self,
|  |  | value
| ) |  |

Enables/disables calibrated input, 0 = disabled, 1 = enabled.

## ◆ SetUnitType_LUT()

def optoICCSdk.registers.icc_registers.ICCAnalogInput.SetUnitType_LUT | ( |  | self,
|  |  | value
| ) |  |

Sets unit type of the values stored in lookup table, 0 = current, 1 = focal power.

## ◆ GetUnitType_LUT()

def optoICCSdk.registers.icc_registers.ICCAnalogInput.GetUnitType_LUT | ( |  | self | ) |

Gets unit type of the values stored in lookup table, 0 = current, 1 = focal power.

## ◆ SetExtrapolationType()

def optoICCSdk.registers.icc_registers.ICCAnalogInput.SetExtrapolationType | ( |  | self,
|  |  | value
| ) |  |

Sets extrapolation type, 0 = constant, 1 = linear.

## ◆ GetActiveUnitType()

def optoICCSdk.registers.icc_registers.ICCAnalogInput.GetActiveUnitType | ( |  | self | ) |

Gets unit type determined by active control stage system.

## Member Data Documentation

## ◆ sys_id

optoICCSdk.registers.icc_registers.ICCAnalogInput.sys_id

## ◆ _unitranges

optoICCSdk.registers.icc_registers.ICCAnalogInput._unitranges
| protected

## ◆ adc_value

optoICCSdk.registers.icc_registers.ICCAnalogInput.adc_value

## ◆ unit

optoICCSdk.registers.icc_registers.ICCAnalogInput.unit

## ◆ minimum_current

optoICCSdk.registers.icc_registers.ICCAnalogInput.minimum_current

## ◆ maximum_current

optoICCSdk.registers.icc_registers.ICCAnalogInput.maximum_current

## ◆ minimum_dpt

optoICCSdk.registers.icc_registers.ICCAnalogInput.minimum_dpt

## ◆ maximum_dpt

optoICCSdk.registers.icc_registers.ICCAnalogInput.maximum_dpt

## ◆ cal_coef_enable

optoICCSdk.registers.icc_registers.ICCAnalogInput.cal_coef_enable

## ◆ unit_LUT

optoICCSdk.registers.icc_registers.ICCAnalogInput.unit_LUT

## ◆ extrapolation_type_LUT

optoICCSdk.registers.icc_registers.ICCAnalogInput.extrapolation_type_LUT

## ◆ LUT_size

optoICCSdk.registers.icc_registers.ICCAnalogInput.LUT_size

## ◆ LUT_voltages

optoICCSdk.registers.icc_registers.ICCAnalogInput.LUT_voltages

## ◆ LUT_values

optoICCSdk.registers.icc_registers.ICCAnalogInput.LUT_values

## ◆ name

optoICCSdk.registers.icc_registers.ICCAnalogInput.name